%define version 3.3.6
%define release 3mdk
%define xver 336

%define prefix /usr

Summary: A collection of user-contributed X Window System programs.
Name: X11R6-contrib
Version: %{version}
Release: %{release}
Copyright: MIT
Group: System/XFree86
Source0: fpt://ftp.xfree86.org/pub/XFree86/%{version}/sources/X%{xver}contrib.tar.bz2
# localized ressources files; don't hesitate to add more to the tar
# fiel if you have them.
Source1: X11R6-contrib-3.3.1-i18n-app-defauls.tar.bz2
Source2: xcalc.xpm.bz2
Source3: listres.xpm.bz2
Source4: xedit.xpm.bz2
Source5: xeyes.xpm.bz2
Source6: ico.xpm.bz2
Source7: xfontsel.xpm.bz2
Source8: xload.xpm.bz2
Patch1: x11r6-contrib-3.1.2-rhs.patch.bz2
Patch2: x11r6-contrib-3.1.2-mandoc.patch.bz2
Patch3: x11r6-contrib-3.1.2-sparc.patch.bz2
Patch4: X11R6-contrib-3.3.1-pthreads.patch.bz2
Patch5: X11R6-contrib-3.3.1-xman.patch.bz2
Prefix: %{prefix}

# Tricky: the patch above (Patch5) requires that the package be built as root
# (install won't allow a normal user to install setgid binaries)
# The ownership and mode for the executable have been modified into the %files
# section
# Moreover, it's broken anyway: the RPM would install it as sgid root and not
# man! -- (fg)
Patch6: x11r6-contrib-3.1.2-xman-imakefile.patch.bz2
BuildRoot: /var/tmp/X11R6-contrib-root

%description
If you want to use the X Window System, you should install
X11R6-contrib. This package holds many useful programs 
from the X Window System, version 11, release 6 contrib tape. 
The programs, contributed by various users, include listres, 
xbiff, xedit, xeyes, xcalc, xload and xman, among others.

You will also need to install the XFree86 package, the
XFree86 package which corresponds to your video card,
one or more of the XFree86 fonts packages, the 
Xconfigurator package and the XFree86-libs package.

Finally, if you are going to develop applications that
run as X clients, you will also need to install
XFree86-devel.

%prep
%setup -c -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
# (fl) to see with Pablo
#%patch5 -p1
# (fg) patch for broken Imakefile
#%patch6 -p1

%build
cd contrib
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

cd contrib
make DESTDIR=$RPM_BUILD_ROOT install install.man

# added l10n'ed files
tar yxvf %{SOURCE1} -C $RPM_BUILD_ROOT


find $RPM_BUILD_ROOT/usr/X11R6/man/man1/ -type 'f'|xargs bzip2 -9

( cd $RPM_BUILD_ROOT
# xload doesn't need to be setuid
  chmod u-s ./usr/X11R6/bin/xload

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
?package(%{name}): needs=x11 icon="xcalq.xpm" section="Office" title=Calculator command=xcalc
?package(%{name}): needs=x11 icon="listres.xpm" section="Applications/Publishing" title=xditview longtitle="ditroff previewer" command=xditview
?package(%{name}): needs=x11 icon="xedit.xpm" section="Applications/Editors" title=xedit longtitle="Small editor" command=xedit
?package(%{name}): needs=x11 icon="xeyes.xpm" section="Amusement/Toys" title=xeyes longtitle="Watchful Eyes" command=xeyes
?package(%{name}): needs=x11 icon="ico.xpm" section="Amusement/Toys" title=ico command=ico
?package(%{name}): needs=x11 icon="xfontsel.xpm" section="Office" title="Font Selector" longtitle="Select X Fonts" command=xfontsel
?package(%{name}): needs=x11 icon="xload.xpm" section="Applications/Monitoring" title=xload longtitle="Display system load" command=xload
EOF
)

install -d $RPM_BUILD_ROOT%{prefix}/share/icons/

bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{prefix}/share/icons/xcalq.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{prefix}/share/icons/listres.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{prefix}/share/icons/xedit.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{prefix}/share/icons/xeyes.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{prefix}/share/icons/ico.xpm
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{prefix}/share/icons/xfontsel.xpm
bzcat %{SOURCE8} > $RPM_BUILD_ROOT%{prefix}/share/icons/xload.xpm


%post

[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun

[ "$1" = 0 -a -x /usr/bin/update-menus ] && /usr/bin/update-menus || true 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
/usr/X11R6/bin/showfont
/usr/X11R6/bin/viewres
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xload
/usr/share/icons
# (fg) fix for broken Imakefile, again
%attr(2755,root,man) /usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage
/usr/lib/menu/%{name}

%config /usr/X11R6/lib/X11/app-defaults/Viewres
%config /usr/X11R6/lib/X11/app-defaults/XCalc
%config /usr/X11R6/lib/X11/app-defaults/XCalc-color
%config /usr/X11R6/lib/X11/app-defaults/XFontSel
%config /usr/X11R6/lib/X11/app-defaults/XLoad
%config /usr/X11R6/lib/X11/app-defaults/Xditview
%config /usr/X11R6/lib/X11/app-defaults/Xditview-chrtr
%config /usr/X11R6/lib/X11/app-defaults/Xedit
%config /usr/X11R6/lib/X11/app-defaults/Xgc
%config /usr/X11R6/lib/X11/app-defaults/Xman
%config /usr/X11R6/lib/X11/app-defaults/Xmessage

%config /usr/X11R6/lib/X11/*/app-defaults/*

/usr/X11R6/lib/X11/xman.help

/usr/X11R6/man/man1/ico.1x*
/usr/X11R6/man/man1/listres.1x*
/usr/X11R6/man/man1/showfont.1x*
/usr/X11R6/man/man1/viewres.1x*
/usr/X11R6/man/man1/xbiff.1x*
/usr/X11R6/man/man1/xcalc.1x*
/usr/X11R6/man/man1/xditview.1x*
/usr/X11R6/man/man1/xedit.1x*
/usr/X11R6/man/man1/xev.1x*
/usr/X11R6/man/man1/xeyes.1x*
/usr/X11R6/man/man1/xfontsel.1x*
/usr/X11R6/man/man1/xgc.1x*
/usr/X11R6/man/man1/xload.1x*
/usr/X11R6/man/man1/xman.1x*
/usr/X11R6/man/man1/xmessage.1x*

%changelog
* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.3.6-3mdk
- (dirty) workaround conflicts with fvwm.

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 3.3.6-2mdk
- add icons(32x32) to menu_entries (path to icons set to default) 
- correct the %post and postun sections to run effectively update-menus

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.3.6-1mdk
- menu
- 3.3.6 contribs.
- group fix

* Tue Jan 11 2000 Francis Galiegue <francis@mandrakesoft.com>

- Fixed broken Imakefile for xman

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build Release.


* Wed Aug 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- patched to support compressed manpages (Z,gz,bzip,bzip2), the /var/catman/
  directory to store formated pages, and the $LANG variable to display man
  pages on different languages depending on the preferences of users.
  xman is also now setgid man (to be able to write in /var/catman)
- added a few localized ressources files (spanish and walloon fro xman
  and xfontsel)

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Handle RPM_OPT_FLAGS
- Bzip2 pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 3.3.2

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig
